#3125 closed enhancement (fixed)

Accept PTHREAD_PROCESS_SHARED for POSIX mutexes

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Since we have only one process, sharing between processes is trivial.

Change History (4)

comment:1 Changed on Sep 8, 2017 at 1:42:33 PM by Sebastian Huber

Type: defectenhancement

comment:2 Changed on Sep 18, 2017 at 5:00:15 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 3b47ce7/rtems:

posix: Allow PTHREAD_PROCESS_SHARED for mutexes

Close #3125.

comment:3 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.